package com.gic.haoban.manage.api.dto;

import java.io.Serializable ;

/**
 * 
 * @ClassName: TabHaobanExternalMemberLog
 * @Description: TODO
 * @Author 徐高华
 * @Date 2023年04月04日 10:19:47
 * @Modify
 * @CopyRight 
 */
public class ExternalMemberLogDTO implements Serializable{

	private static final long serialVersionUID = 1709395027793900L;
	
	private Long logId;
	private String enterpriseId;
	private String unionid;
	private String relationKey;
	private Integer deleteFlag;
	private java.util.Date createTime;
	private java.util.Date updateTime;
	/**1有效 0无效*/
	private Integer statusFlag;
	private String memberId ;
	
	public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public void setLogId(Long logId){
		this.logId = logId;
	}
	
	public Long getLogId(){
		return logId;
	}
	public void setEnterpriseId(String enterpriseId){
		this.enterpriseId = enterpriseId;
	}
	
	public String getEnterpriseId(){
		return enterpriseId;
	}
	public void setUnionid(String unionid){
		this.unionid = unionid;
	}
	
	public String getUnionid(){
		return unionid;
	}
	public void setRelationKey(String relationKey){
		this.relationKey = relationKey;
	}
	
	public String getRelationKey(){
		return relationKey;
	}
	public void setDeleteFlag(Integer deleteFlag){
		this.deleteFlag = deleteFlag;
	}
	
	public Integer getDeleteFlag(){
		return deleteFlag;
	}
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return createTime;
	}
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return updateTime;
	}
	public void setStatusFlag(Integer statusFlag){
		this.statusFlag = statusFlag;
	}
	
	public Integer getStatusFlag(){
		return statusFlag;
	}
}